/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ServerEvents.recipes(event => 
{
    event.remove({ id: 'cabletiers:elite_exporter' });
    event.remove({ id: 'cabletiers:ultra_exporter' });
    event.remove({ id: 'cabletiers:mega_exporter' });
    event.remove({ id: 'cabletiers:elite_importer' });
    event.remove({ id: 'cabletiers:ultra_importer' });
    event.remove({ id: 'cabletiers:mega_importer' });
    event.remove({ id: 'cabletiers:elite_constructor' });
    event.remove({ id: 'cabletiers:ultra_constructor' });
    event.remove({ id: 'cabletiers:mega_constructor' });
    event.remove({ id: 'cabletiers:elite_destructor' });
    event.remove({ id: 'cabletiers:ultra_destructor' });
    event.remove({ id: 'cabletiers:mega_destructor' });
    event.remove({ id: 'cabletiers:elite_requester' });
    event.remove({ id: 'cabletiers:ultra_requester' });
    event.remove({ id: 'cabletiers:mega_requester' });
    event.remove({ id: 'cabletiers:elite_disk_manipulator' });
    event.remove({ id: 'cabletiers:ultra_disk_manipulator' });
    event.remove({ id: 'cabletiers:mega_disk_manipulator' });

    event.shaped('cabletiers:elite_exporter', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/enderium',
        B: 'refinedstorage:exporter',
        C: 'rftoolscontrol:cpu_core_1000'
    }).id('kubejs:cabletiers/elite_exporter');

    event.shaped('cabletiers:ultra_exporter', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/netherite',
        B: 'cabletiers:elite_exporter',
        C: 'rftoolscontrol:cpu_core_2000'
    }).id('kubejs:cabletiers/ultra_exporter');

    event.shaped('cabletiers:mega_exporter', ['ABA', 'BCB', 'ABA'], {
        A: 'allthecompressed:nether_star_block_3x',
        B: 'cabletiers:ultra_exporter',
        C: 'rftoolscontrol:processor'
    }).id('kubejs:cabletiers/mega_exporter');

    event.shaped('cabletiers:elite_importer', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/enderium',
        B: 'refinedstorage:importer',
        C: 'rftoolscontrol:cpu_core_1000'
    }).id('kubejs:cabletiers/elite_importer');

    event.shaped('cabletiers:ultra_importer', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/netherite',
        B: 'cabletiers:elite_importer',
        C: 'rftoolscontrol:cpu_core_2000'
    }).id('kubejs:cabletiers/ultra_importer');

    event.shaped('cabletiers:mega_importer', ['ABA', 'BCB', 'ABA'], {
        A: 'allthecompressed:nether_star_block_3x',
        B: 'cabletiers:ultra_importer',
        C: 'rftoolscontrol:processor'
    }).id('kubejs:cabletiers/mega_importer');

    event.shaped('cabletiers:elite_constructor', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/enderium',
        B: 'refinedstorage:constructor',
        C: 'rftoolscontrol:cpu_core_1000'
    }).id('kubejs:cabletiers/elite_constructor');

    event.shaped('cabletiers:ultra_constructor', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/netherite',
        B: 'cabletiers:elite_constructor',
        C: 'rftoolscontrol:cpu_core_2000'
    }).id('kubejs:cabletiers/ultra_constructor');

    event.shaped('cabletiers:mega_constructor', ['ABA', 'BCB', 'ABA'], {
        A: 'allthecompressed:nether_star_block_3x',
        B: 'cabletiers:ultra_constructor',
        C: 'rftoolscontrol:processor'
    }).id('kubejs:cabletiers/mega_constructor');

    event.shaped('cabletiers:elite_destructor', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/enderium',
        B: 'refinedstorage:destructor',
        C: 'rftoolscontrol:cpu_core_1000'
    }).id('kubejs:cabletiers/elite_destructor');

    event.shaped('cabletiers:ultra_destructor', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/netherite',
        B: 'cabletiers:elite_destructor',
        C: 'rftoolscontrol:cpu_core_2000'
    }).id('kubejs:cabletiers/ultra_destructor');

    event.shaped('cabletiers:mega_destructor', ['ABA', 'BCB', 'ABA'], {
        A: 'allthecompressed:nether_star_block_3x',
        B: 'cabletiers:ultra_destructor',
        C: 'rftoolscontrol:processor'
    }).id('kubejs:cabletiers/mega_destructor');

    event.shaped('cabletiers:elite_requester', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/enderium',
        B: 'rsrequestify:requester',
        C: 'rftoolscontrol:cpu_core_1000'
    }).id('kubejs:cabletiers/elite_requester');

    event.shaped('cabletiers:ultra_requester', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/netherite',
        B: 'cabletiers:elite_requester',
        C: 'rftoolscontrol:cpu_core_2000'
    }).id('kubejs:cabletiers/ultra_requester');

    event.shaped('cabletiers:mega_requester', ['ABA', 'BCB', 'ABA'], {
        A: 'allthecompressed:nether_star_block_3x',
        B: 'cabletiers:ultra_requester',
        C: 'rftoolscontrol:processor'
    }).id('kubejs:cabletiers/mega_requester');

    event.shaped('cabletiers:elite_disk_manipulator', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/enderium',
        B: 'refinedstorage:disk_manipulator',
        C: 'rftoolscontrol:cpu_core_1000'
    }).id('kubejs:cabletiers/elite_disk_manipulator');

    event.shaped('cabletiers:ultra_disk_manipulator', ['ABA', 'BCB', 'ABA'], {
        A: '#forge:storage_blocks/netherite',
        B: 'cabletiers:elite_disk_manipulator',
        C: 'rftoolscontrol:cpu_core_2000'
    }).id('kubejs:cabletiers/ultra_disk_manipulator');

    event.shaped('cabletiers:mega_disk_manipulator', ['ABA', 'BCB', 'ABA'], {
        A: 'allthecompressed:nether_star_block_3x',
        B: 'cabletiers:ultra_disk_manipulator',
        C: 'rftoolscontrol:processor'
    }).id('kubejs:cabletiers/mega_disk_manipulator');
});
